{ config, pkgs, lib, ... }:
{
  # Boot drives are defined in ./hardware-configuration.nix

  boot = {
    zfs.extraPools = [ "tank" ];
    supportedFilesystems = [ "zfs" ];
    kernelPackages = config.boot.zfs.package.latestCompatibleLinuxPackages;
  };
  services.prometheus.exporters.zfs.enable = true;

  environment.systemPackages = with pkgs; [
    cifs-utils
    zfs
  ];

  fileSystems = {
    "/mnt/feal-syn1/backup" = {
      device = "feal-syn1.home.feal.no:/volume2/backup";
      fsType = "nfs";
      options = [
        "defaults"
        "noatime"
        "rw"
        "nfsvers=3"
      ];
    };
  };
}
