{ config, pkgs, lib, ... }:

{
  imports =
    [
      ../../base.nix
      ./hardware-configuration.nix
      ./desktop
  ];

  networking = {
    interfaces.eno1 = {
      useDHCP = true;
      ipv6.addresses = [
        { address = "2001:700:300:22::15"; prefixLength = 64; }
      ];
    };

    tempAddresses = "disabled";
    hostName = "felixalbpc";
    nameservers = [ "129.241.0.200" "129.241.0.201" "2001:700:300::200" "2001:700:300::201" ];
    domain = "it.ntnu.no";
    hostId = "f458d6aa";
  };

  console.keyMap = "no";

  nixpkgs.config = {
    allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
      "copilot.vim"
    ];
  };

  users.users.felixalb = {
    uid = 1328256;
    openssh.authorizedKeys.keys = [ ];
  };

  system.stateVersion = "24.05";
}

